Page MenuHomePhabricator

In the cross-wiki upload tool, the upload can timeout causing an unhandled exception
Closed, ResolvedPublic8 Story Points

Description

When trying to upload a large file, after about 30s and exception is thrown, and dialog gets stuck in a pending state. In Upload.BookletLayout, the uploadPromise fails onto line 201, where it calls getErrorMessageForStateDetails. On line 262 stateDetails.error is undefined, so an exception is thrown on 268.

Details

Related Gerrit Patches:

Event Timeline

Esanders created this task.Nov 3 2015, 2:29 PM
Esanders raised the priority of this task from to Needs Triage.
Esanders updated the task description. (Show Details)
Esanders added a subscriber: Esanders.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptNov 3 2015, 2:29 PM

There probably shouldn't be a timeout at all - it would help if we had a progress bar though.

Jdforrester-WMF renamed this task from Upload can timeout causing an unhandled exception to In the cross-wiki upload system, the upload can timeout causing an unhandled exception.Nov 3 2015, 8:06 PM
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.
Jdforrester-WMF moved this task from Untriaged to Next up on the Multimedia board.Nov 5 2015, 4:07 PM
Jdforrester-WMF renamed this task from In the cross-wiki upload system, the upload can timeout causing an unhandled exception to In the cross-wiki upload tool, the upload can timeout causing an unhandled exception.Nov 5 2015, 6:29 PM

Change 312010 had a related patch set uploaded (by Matthias Mullie):
Don't default to 30s timeout for file uploads

https://gerrit.wikimedia.org/r/312010

matthiasmullie moved this task from Next up to Needs code review on the Multimedia board.

Change 310595 had a related patch set uploaded (by Bartosz Dziewoński):
mw.api.upload: Suppress default API call timeout

https://gerrit.wikimedia.org/r/310595

Per T141814, this is not causing exceptions today, but a nasty error message appears (and of course the upload doesn't succeed). Please file bugs related to the upload dialog in MediaWiki-Uploading (it is used by more than just VisualEditor).

Change 312010 abandoned by MarkTraceur:
Don't default to 30s timeout for file uploads

Reason:
Superseded by 310595, merged just now

https://gerrit.wikimedia.org/r/312010

Change 310595 merged by MarkTraceur:
mw.api.upload: Suppress default API call timeout

https://gerrit.wikimedia.org/r/310595

matmarex closed this task as Resolved.Sep 21 2016, 7:02 PM
matmarex removed a project: Patch-For-Review.